> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Snapshot Metadata

> Get dataset snapshot metadata



## OpenAPI

````yaml dca-api GET /datasets/snapshots/{id}
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/snapshots/{id}:
    get:
      description: Get dataset snapshot metadata
      parameters:
        - in: path
          name: id
          description: Snapshot ID
          required: true
          schema:
            type: string
            example: snap_m2bxug4e2o352v1jv1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSnapshotMeta'
        '404':
          description: Snapshot not found
          content:
            text/html:
              schema:
                type: string
                example: snapshot not found
components:
  schemas:
    DatasetSnapshotMeta:
      type: object
      properties:
        id:
          type: string
        created:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - scheduled
            - building
            - ready
            - failed
        dataset_id:
          type: string
        customer_id:
          type: string
        dataset_size:
          type: integer
          description: Number of records in the snapshot
        file_size:
          type: integer
          description: Size of the snapshot file in bytes
        cost:
          type: number
        error:
          type: string
        error_code:
          type: string
        warning:
          type: string
        warning_code:
          type: string
        initiation_type:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````